/// <reference types="react" />
import { BaseFlowStep } from "../BaseFlowStep";
import { XExecutionData } from "../../../Common/Data/ExecutionData/XExecutionData";
export declare class WriteFile extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class ReadFile extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class ReadFileFromURL extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class ReadCSV extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class WriteCSV extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class ReadJSON extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class WriteJSON extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class ReadXML extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
export declare class WriteXML extends BaseFlowStep {
    renderEditUI(): JSX.Element | null;
    run(data: XExecutionData, complete: (result: {
        name: string;
        data: XExecutionData;
    }) => {}): void;
}
